org.apache.sling.jcr.contentparser

## Class ParserOptions

- java.lang.Object
- - org.apache.sling.jcr.contentparser.ParserOptions

Deprecated.
since version 1.2.8 of the `org.apache.sling.jcr.contentparser` bundle; see `org.apache.sling.contentparser.api`

    @ProviderType
    public final class ParserOptions
    extends Object

Options for content parser.

### Field Summary

Fields
`static Set<String>` `DEFAULT_IGNORE_RESOURCE_NAMES` Deprecated. Default list of resource names that should be ignored.
`static EnumSet<JsonParserFeature>` `DEFAULT_JSON_PARSER_FEATURES` Deprecated. List of JSON parser features activated by default.
`static String` `DEFAULT_PRIMARY_TYPE` Deprecated. Default primary type.
`static Set<String>` `DEFAULT_REMOVE_PROPERTY_NAME_PREFIXES` Deprecated. Default list of prefixes to remove from property names.

### Constructor Summary

Constructors
Constructor and Description
`ParserOptions()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`ParserOptions` `defaultPrimaryType(String value)` Deprecated. Default "jcr:primaryType" property for resources that have no explicit value for this value.
`ParserOptions` `detectCalendarValues(boolean value)` Deprecated. Some content formats like JSON do not contain information to identify date/time values.
`String` `getDefaultPrimaryType()` Deprecated.
`Set<String>` `getIgnorePropertyNames()` Deprecated.
`Set<String>` `getIgnoreResourceNames()` Deprecated.
`EnumSet<JsonParserFeature>` `getJsonParserFeatures()` Deprecated.
`Set<String>` `getRemovePropertyNamePrefixes()` Deprecated.
`ParserOptions` `ignorePropertyNames(Set<String> value)` Deprecated. Set a list of property names that should be ignored when parsing the content file.
`ParserOptions` `ignoreResourceNames(Set<String> value)` Deprecated. Set a list of resource/node names that should be ignored when parsing the content file.
`boolean` `isDetectCalendarValues()` Deprecated.
`ParserOptions` `jsonParserFeatures(EnumSet<JsonParserFeature> value)` Deprecated. Set set of features the JSON parser should apply when parsing files.
`ParserOptions` `jsonParserFeatures(JsonParserFeature... value)` Deprecated.
`ParserOptions` `removePropertyNamePrefixes(Set<String> value)` Deprecated. Set a list of property name prefixes that should be removed automatically from the property name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PRIMARY_TYPE

    public static final String DEFAULT_PRIMARY_TYPE

Deprecated.
Default primary type.

See Also:
  Constant Field Values

#### DEFAULT_REMOVE_PROPERTY_NAME_PREFIXES

    public static final Set<String> DEFAULT_REMOVE_PROPERTY_NAME_PREFIXES

Deprecated.
Default list of prefixes to remove from property names.

#### DEFAULT_IGNORE_RESOURCE_NAMES

    public static final Set<String> DEFAULT_IGNORE_RESOURCE_NAMES

Deprecated.
Default list of resource names that should be ignored.

#### DEFAULT_JSON_PARSER_FEATURES

    public static final EnumSet<JsonParserFeature> DEFAULT_JSON_PARSER_FEATURES

Deprecated.
List of JSON parser features activated by default.

### Constructor Detail

#### ParserOptions

    public ParserOptions()

Deprecated.

### Method Detail

#### defaultPrimaryType

    public ParserOptions defaultPrimaryType(String value)

Deprecated.
Default "jcr:primaryType" property for resources that have no explicit value for this value. If set to null, not default type is applied.

Parameters:
  `value` - Default primary type.
Returns:
  this

#### getDefaultPrimaryType

    public String getDefaultPrimaryType()

Deprecated.

#### detectCalendarValues

    public ParserOptions detectCalendarValues(boolean value)

Deprecated.
Some content formats like JSON do not contain information to identify date/time values. Instead they have to be detected by heuristics by trying to parse every string value. This mode is disabled by default.

Parameters:
  `value` - Activate calendar value detection
Returns:
  this

#### isDetectCalendarValues

    public boolean isDetectCalendarValues()

Deprecated.

#### ignorePropertyNames

    public ParserOptions ignorePropertyNames(Set<String> value)

Deprecated.
Set a list of property names that should be ignored when parsing the content file.

Parameters:
  `value` - List of property names
Returns:
  this

#### getIgnorePropertyNames

    public Set<String> getIgnorePropertyNames()

Deprecated.

#### ignoreResourceNames

    public ParserOptions ignoreResourceNames(Set<String> value)

Deprecated.
Set a list of resource/node names that should be ignored when parsing the content file.

Parameters:
  `value` - List of resource/node names
Returns:
  this

#### getIgnoreResourceNames

    public Set<String> getIgnoreResourceNames()

Deprecated.

#### removePropertyNamePrefixes

    public ParserOptions removePropertyNamePrefixes(Set<String> value)

Deprecated.
Set a list of property name prefixes that should be removed automatically from the property name.

Parameters:
  `value` - List of property name prefixes
Returns:
  this

#### getRemovePropertyNamePrefixes

    public Set<String> getRemovePropertyNamePrefixes()

Deprecated.

#### jsonParserFeatures

    public ParserOptions jsonParserFeatures(EnumSet<JsonParserFeature> value)

Deprecated.
Set set of features the JSON parser should apply when parsing files.

Parameters:
  `value` - JSON parser features
Returns:
  this

#### jsonParserFeatures

    public ParserOptions jsonParserFeatures(JsonParserFeature... value)

Deprecated.

#### getJsonParserFeatures

    public EnumSet<JsonParserFeature> getJsonParserFeatures()

Deprecated.